Bug 184554 - [PATCH] update comms/trustedqsl to latest release
Summary: [PATCH] update comms/trustedqsl to latest release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Diane Bruce
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-07 02:20 UTC by Stephen Hurd
Modified: 2013-12-13 04:20 UTC (History)
0 users

See Also:


Attachments
file.diff (6.92 KB, patch)
2013-12-07 02:20 UTC, Stephen Hurd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Hurd freebsd_committer 2013-12-07 02:20:00 UTC
New version of TrustedQSL release

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-12-07 02:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->db

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-12-13 04:11:27 UTC
Author: db
Date: Fri Dec 13 04:11:11 2013
New Revision: 336316
URL: http://svnweb.freebsd.org/changeset/ports/336316

Log:
  - Update to latest version [1]
  - Fix build on 10.0
  - Convert to stagedir
  
  PR:		ports/184554 [1]
  Submitted by:	shurd@sasktel.net

Added:
  head/comms/trustedqsl/files/patch-apps_tqsl.cpp   (contents, props changed)
  head/comms/trustedqsl/files/patch-src_xml.h   (contents, props changed)
  head/comms/trustedqsl/files/pkg-message   (contents, props changed)
Modified:
  head/comms/trustedqsl/Makefile
  head/comms/trustedqsl/distinfo
  head/comms/trustedqsl/files/patch-apps_CMakeLists.txt
  head/comms/trustedqsl/files/patch-cmakemodules_FindBDB.cmake
  head/comms/trustedqsl/files/patch-src_tqslconvert.cpp
  head/comms/trustedqsl/pkg-plist

Modified: head/comms/trustedqsl/Makefile
==============================================================================
--- head/comms/trustedqsl/Makefile	Fri Dec 13 03:01:27 2013	(r336315)
+++ head/comms/trustedqsl/Makefile	Fri Dec 13 04:11:11 2013	(r336316)
@@ -1,33 +1,31 @@
 # $FreeBSD$
 
 PORTNAME=	trustedqsl
-PORTVERSION=	1.14.2
+PORTVERSION=	2.0
 CATEGORIES=	comms hamradio
-MASTER_SITES=	SF/${PORTNAME}/TrustedQSL/v1.14.2/
-DISTNAME=	tqsl-1.14.2
+MASTER_SITES=	SF/${PORTNAME}/TrustedQSL/v${PORTVERSION}/
+DISTNAME=	tqsl-${PORTVERSION}
+EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	db@FreeBSD.org
 COMMENT=	Amateur Radio Station electronic trusted logbook
 
+LICENSE=	BSD
+
 LIB_DEPENDS=	libdb-5.so:${PORTSDIR}/databases/db5 \
 		libcurl.so:${PORTSDIR}/ftp/curl
 
-USES=		cmake
-USE_WX=		2.8+
-WX_UNICODE=	yes
+CXXFLAGS	+=-std=gnu++0x
 
-MAN5=		trustedqsl.5
+PKGMESSAGE=	${WRKDIR}/pkg-message
 
+USES=		compiler:c++11-lib cmake pkgconfig
+USE_WX=		2.8+
+WX_UNICODE=	yes
 USE_LDCONFIG=	yes
 
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
-
-post-install:
-	@${ECHO_MSG}
-	@${ECHO_MSG} trustedqsl is now installed. You will have to create a directory .tqsl in
-	@${ECHO_MSG} your home directory and setup a copy of ${PREFIX}/share/TrustedQSL/config.xml here
-	@${ECHO_MSG} before this program will run correctly.
-	@${ECHO_MSG}
+post-patch:
+	@${SED} -e 's:%%PREFIX%%:${PREFIX}:g' \
+		${FILESDIR}/pkg-message > ${WRKDIR}/pkg-message
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/comms/trustedqsl/distinfo
==============================================================================
--- head/comms/trustedqsl/distinfo	Fri Dec 13 03:01:27 2013	(r336315)
+++ head/comms/trustedqsl/distinfo	Fri Dec 13 04:11:11 2013	(r336316)
@@ -1,2 +1,2 @@
-SHA256 (tqsl-1.14.2.tar.gz) = 7644a8236493035848c3f10df5f05929bca35a7b65df2a3eea39a1a8f7de3466
-SIZE (tqsl-1.14.2.tar.gz) = 796754
+SHA256 (tqsl-2.0.tgz) = eb1982da44b4d8c17c78b72eacb3fe3b9e94005d1b2da153685827da2e07cfaa
+SIZE (tqsl-2.0.tgz) = 2626483

Modified: head/comms/trustedqsl/files/patch-apps_CMakeLists.txt
==============================================================================
--- head/comms/trustedqsl/files/patch-apps_CMakeLists.txt	Fri Dec 13 03:01:27 2013	(r336315)
+++ head/comms/trustedqsl/files/patch-apps_CMakeLists.txt	Fri Dec 13 04:11:11 2013	(r336316)
@@ -1,13 +1,14 @@
---- apps/CMakeLists.txt.orig	2013-06-25 20:03:58.000000000 -0500
-+++ apps/CMakeLists.txt	2013-06-25 20:05:42.000000000 -0500
-@@ -101,5 +101,9 @@
+--- apps/CMakeLists.txt.orig	2013-12-06 17:42:11.000000000 -0800
++++ apps/CMakeLists.txt	2013-12-06 17:43:12.000000000 -0800
+@@ -121,6 +121,10 @@
+ add_definitions("-DCONFDIR=\"${CMAKE_INSTALL_PREFIX}/share/TrustedQSL/\"")
  install(TARGETS tqsl DESTINATION bin)
- install(TARGETS tqslcert DESTINATION bin)
  install(DIRECTORY help DESTINATION share/TrustedQSL)
--install(FILES trustedqsl.5 DESTINATION share/man/man5)
+-install(FILES tqsl.5 DESTINATION share/man/man5)
 +if(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
-+  install(FILES trustedqsl.5 DESTINATION man/man5)
++  install(FILES tqsl.5 DESTINATION man/man5)
 +else()
-+  install(FILES trustedqsl.5 DESTINATION share/man/man5)
++  install(FILES tqsl.5 DESTINATION share/man/man5)
 +endif()
+ install(FILES icons/key48.png DESTINATION share/pixmaps RENAME TrustedQSL.png)
  endif()

Added: head/comms/trustedqsl/files/patch-apps_tqsl.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/trustedqsl/files/patch-apps_tqsl.cpp	Fri Dec 13 04:11:11 2013	(r336316)
@@ -0,0 +1,20 @@
+--- apps/tqsl.cpp.orig	2013-12-12 15:52:46.737002435 -0500
++++ apps/tqsl.cpp	2013-12-12 15:52:12.740004212 -0500
+@@ -71,7 +71,7 @@
+ #endif
+ #include <zlib.h>
+ #include <openssl/opensslv.h> // only for version info!
+-#include <db.h> //only for version info!
++#include <db5/db.h> //only for version info!
+ #include "tqslwiz.h"
+ #include "qsodatadialog.h"
+ #include "tqslerrno.h"
+@@ -2016,7 +2016,7 @@
+ 	} else {
+ 		//compress the upload
+ 		string compressed;
+-		size_t compressedSize=compressToBuf(compressed, (const char*)signedOutput.mb_str());
++		ssize_t compressedSize=compressToBuf(compressed, (const char*)signedOutput.mb_str());
+ 		//ofstream f; f.open("testzip.tq8", ios::binary); f<<compressed; f.close(); //test of compression routine
+ 		if (compressedSize<0) { 
+ 			wxLogMessage(wxT("Error compressing before upload")); 

Modified: head/comms/trustedqsl/files/patch-cmakemodules_FindBDB.cmake
==============================================================================
--- head/comms/trustedqsl/files/patch-cmakemodules_FindBDB.cmake	Fri Dec 13 03:01:27 2013	(r336315)
+++ head/comms/trustedqsl/files/patch-cmakemodules_FindBDB.cmake	Fri Dec 13 04:11:11 2013	(r336316)
@@ -1,18 +1,18 @@
---- cmakemodules/FindBDB.cmake.orig	2013-06-23 17:20:25.000000000 -0700
-+++ cmakemodules/FindBDB.cmake	2013-06-23 17:24:59.000000000 -0700
-@@ -4,6 +4,7 @@
- if(APPLE) #exclude obsolete default OSX db
+--- cmakemodules/FindBDB.cmake.orig	2013-10-20 19:33:20.000000000 -0500
++++ cmakemodules/FindBDB.cmake	2013-12-07 20:44:12.000000000 -0500
+@@ -5,6 +5,7 @@
  FIND_PATH(BDB_INCLUDE_DIR db.h NO_DEFAULT_PATH PATHS
+   "/usr/local/BerkeleyDB.6.0/include"
    "/usr/local/BerkeleyDB.5.3/include"
 +  "/usr/local/include/db5"
    "${BDB_PREFIX}/include"
  ) 
  else()
-@@ -26,6 +27,7 @@
-   "C:\\db-5.3.21\\build_windows\\Win32\\Static_Release\\" #vc08 adds underscore
+@@ -37,6 +38,7 @@
    #OSX (and probably other unix) src build
+   "/usr/local/BerkeleyDB.6.0/lib"
    "/usr/local/BerkeleyDB.5.3/lib"
 +  "/usr/local/lib/db5"
    "${BDB_PREFIX}/lib"
+   "${BDB_PREFIX}"
  )
- MARK_AS_ADVANCED(BDB_LIBRARY)

Modified: head/comms/trustedqsl/files/patch-src_tqslconvert.cpp
==============================================================================
--- head/comms/trustedqsl/files/patch-src_tqslconvert.cpp	Fri Dec 13 03:01:27 2013	(r336315)
+++ head/comms/trustedqsl/files/patch-src_tqslconvert.cpp	Fri Dec 13 04:11:11 2013	(r336316)
@@ -1,6 +1,6 @@
---- src/tqslconvert.cpp.orig	2013-06-23 17:30:50.000000000 -0700
-+++ src/tqslconvert.cpp	2013-06-23 17:31:00.000000000 -0700
-@@ -22,7 +22,7 @@
+--- src/tqslconvert.cpp.orig	2013-10-20 19:33:20.000000000 -0500
++++ src/tqslconvert.cpp	2013-12-07 20:54:11.000000000 -0500
+@@ -23,7 +23,7 @@
  #include <vector>
  #include <ctype.h>
  #include <set>

Added: head/comms/trustedqsl/files/patch-src_xml.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/trustedqsl/files/patch-src_xml.h	Fri Dec 13 04:11:11 2013	(r336316)
@@ -0,0 +1,17 @@
+--- src/xml.h.orig	2013-12-12 13:03:46.814700681 -0500
++++ src/xml.h	2013-12-12 13:04:09.019718129 -0500
+@@ -108,12 +108,13 @@
+ 	XMLElementAttributeList _attributes;
+ 	XMLElementList _elements;
+ 	std::vector<XMLElementList::iterator> _parsingStack;
+-	XMLElementList::iterator _iter;
+ 	bool _iterByName;
+ 	std::string _iterName;
+ 	XMLElementAttributeList::iterator _aiter;
+ };
+ 
++static	XMLElementList::iterator _iter;
++
+ inline void XMLElement::clear() {
+ 	_name = _text = _pretext = _iterName = "";
+ 	_attributes.clear();

Added: head/comms/trustedqsl/files/pkg-message
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/trustedqsl/files/pkg-message	Fri Dec 13 04:11:11 2013	(r336316)
@@ -0,0 +1,3 @@
+trustedqsl is now installed. You will have to create a directory .tqsl in
+your home directory and setup a copy of %%PREFIX%%/share/TrustedQSL/config.xml
+here before this program will run correctly.

Modified: head/comms/trustedqsl/pkg-plist
==============================================================================
--- head/comms/trustedqsl/pkg-plist	Fri Dec 13 03:01:27 2013	(r336315)
+++ head/comms/trustedqsl/pkg-plist	Fri Dec 13 04:11:11 2013	(r336316)
@@ -1,102 +1,108 @@
 bin/tqsl
-bin/tqslcert
-lib/libtqsllib.so
-share/TrustedQSL/config.xml
-include/tqsllib.h
-include/tqslerrno.h
-include/cabrillo.h
 include/adif.h
+include/cabrillo.h
 include/tqslconvert.h
+include/tqslerrno.h
+include/tqsllib.h
+lib/libtqsllib.so
+share/TrustedQSL/config.xml
 share/TrustedQSL/help/tqslapp/P12.bmp
 share/TrustedQSL/help/tqslapp/Pending.bmp
 share/TrustedQSL/help/tqslapp/TQ5.bmp
 share/TrustedQSL/help/tqslapp/TQ6.bmp
 share/TrustedQSL/help/tqslapp/TQ8.bmp
 share/TrustedQSL/help/tqslapp/TQSLCert.bmp
+share/TrustedQSL/help/tqslapp/about.bmp
+share/TrustedQSL/help/tqslapp/addcert1.bmp
 share/TrustedQSL/help/tqslapp/addcertaccept.htm
 share/TrustedQSL/help/tqslapp/addcertreq.htm
-share/TrustedQSL/help/tqslapp/addcont.bmp
 share/TrustedQSL/help/tqslapp/additional-info.htm
-share/TrustedQSL/help/tqslapp/addstnl.bmp
 share/TrustedQSL/help/tqslapp/addstnl0.bmp
-share/TrustedQSL/help/tqslapp/adifdial.bmp
+share/TrustedQSL/help/tqslapp/backuprestore.htm
 share/TrustedQSL/help/tqslapp/cabrillo.htm
 share/TrustedQSL/help/tqslapp/certaccept.htm
+share/TrustedQSL/help/tqslapp/certaccept1.bmp
+share/TrustedQSL/help/tqslapp/certaccept2.bmp
 share/TrustedQSL/help/tqslapp/certreq.htm
+share/TrustedQSL/help/tqslapp/certreq1.bmp
+share/TrustedQSL/help/tqslapp/certs-icons.htm
 share/TrustedQSL/help/tqslapp/cmdline.htm
 share/TrustedQSL/help/tqslapp/configops.htm
 share/TrustedQSL/help/tqslapp/configxml.htm
 share/TrustedQSL/help/tqslapp/contents.hhc
+share/TrustedQSL/help/tqslapp/crq0.htm
+share/TrustedQSL/help/tqslapp/crq1.htm
+share/TrustedQSL/help/tqslapp/crq2.htm
+share/TrustedQSL/help/tqslapp/crq3.htm
+share/TrustedQSL/help/tqslapp/crq4.htm
 share/TrustedQSL/help/tqslapp/daterng.bmp
 share/TrustedQSL/help/tqslapp/daterng.htm
+share/TrustedQSL/help/tqslapp/deletecert.htm
+share/TrustedQSL/help/tqslapp/diagmode.htm
 share/TrustedQSL/help/tqslapp/duplicate.bmp
 share/TrustedQSL/help/tqslapp/example1.htm
+share/TrustedQSL/help/tqslapp/expiration.bmp
 share/TrustedQSL/help/tqslapp/expiration.htm
+share/TrustedQSL/help/tqslapp/expired.bmp
 share/TrustedQSL/help/tqslapp/fileops.htm
 share/TrustedQSL/help/tqslapp/files-icons.htm
 share/TrustedQSL/help/tqslapp/glossary.htm
 share/TrustedQSL/help/tqslapp/index.htm
 share/TrustedQSL/help/tqslapp/installation.htm
+share/TrustedQSL/help/tqslapp/loadcert.htm
+share/TrustedQSL/help/tqslapp/login.htm
+share/TrustedQSL/help/tqslapp/logopstab.bmp
 share/TrustedQSL/help/tqslapp/lotw.htm
 share/TrustedQSL/help/tqslapp/main.htm
 share/TrustedQSL/help/tqslapp/moving.htm
-share/TrustedQSL/help/tqslapp/pref-adi.bmp
+share/TrustedQSL/help/tqslapp/netproxy.htm
+share/TrustedQSL/help/tqslapp/newp12pw.bmp
+share/TrustedQSL/help/tqslapp/newpw.bmp
 share/TrustedQSL/help/tqslapp/pref-adi.htm
-share/TrustedQSL/help/tqslapp/pref-cab.bmp
+share/TrustedQSL/help/tqslapp/pref-adi1.bmp
+share/TrustedQSL/help/tqslapp/pref-adi2.bmp
+share/TrustedQSL/help/tqslapp/pref-adi3.bmp
 share/TrustedQSL/help/tqslapp/pref-cab.htm
+share/TrustedQSL/help/tqslapp/pref-cab1.bmp
+share/TrustedQSL/help/tqslapp/pref-cab2.bmp
+share/TrustedQSL/help/tqslapp/pref-cab3.bmp
 share/TrustedQSL/help/tqslapp/pref-opt.bmp
 share/TrustedQSL/help/tqslapp/pref-opt.htm
 share/TrustedQSL/help/tqslapp/primary.htm
 share/TrustedQSL/help/tqslapp/qsodata.bmp
 share/TrustedQSL/help/tqslapp/qsodata.htm
 share/TrustedQSL/help/tqslapp/renewing.htm
+share/TrustedQSL/help/tqslapp/renewing1.bmp
+share/TrustedQSL/help/tqslapp/renewing2.bmp
+share/TrustedQSL/help/tqslapp/replaced.bmp
+share/TrustedQSL/help/tqslapp/save.htm
 share/TrustedQSL/help/tqslapp/savestnl.bmp
 share/TrustedQSL/help/tqslapp/secondarycertops.htm
+share/TrustedQSL/help/tqslapp/sign1.bmp
 share/TrustedQSL/help/tqslapp/signconf.bmp
 share/TrustedQSL/help/tqslapp/signdone.bmp
 share/TrustedQSL/help/tqslapp/signing.htm
 share/TrustedQSL/help/tqslapp/signupload.htm
+share/TrustedQSL/help/tqslapp/signupload1.bmp
 share/TrustedQSL/help/tqslapp/stnloc.bmp
 share/TrustedQSL/help/tqslapp/stnloc.htm
+share/TrustedQSL/help/tqslapp/stnloc1.bmp
+share/TrustedQSL/help/tqslapp/stnloc1.htm
+share/TrustedQSL/help/tqslapp/stnloc2.bmp
+share/TrustedQSL/help/tqslapp/stnloc2.htm
+share/TrustedQSL/help/tqslapp/stnloc3.bmp
+share/TrustedQSL/help/tqslapp/stnloc4.bmp
+share/TrustedQSL/help/tqslapp/stnloc5.bmp
 share/TrustedQSL/help/tqslapp/tqslapp.chm
 share/TrustedQSL/help/tqslapp/tqslapp.hhp
 share/TrustedQSL/help/tqslapp/tqslstyle.css
+share/TrustedQSL/help/tqslapp/unlock.bmp
+share/TrustedQSL/help/tqslapp/unlock.htm
 share/TrustedQSL/help/tqslapp/update.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/broken-cert.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/contents.hhc
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq0.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq0.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq1.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq1.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq2.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq2.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq3.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq3.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq4.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq4.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crqsend.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/glossary.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/lcf.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/lcf0.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/lcf0.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/lcf1.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/lcf1.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/lcf2.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/loadcert.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/main.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/newp12pw.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/newpw.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/nocert.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/props.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/save.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/tqsl.htm
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/tqslcert.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/tqslcert.hhp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/unlock.bmp
-%%PORTDOCS%%share/TrustedQSL/help/tqslcert/unlock.htm
-%%PORTDOCS%%@dirrm share/TrustedQSL/help/tqslcert
-%%PORTDOCS%%@dirrm share/TrustedQSL/help/tqslapp
-%%PORTDOCS%%@dirrm share/TrustedQSL/help
-%%PORTDOCS%%@dirrm share/TrustedQSL
+share/TrustedQSL/help/tqslapp/update1.bmp
+share/TrustedQSL/help/tqslapp/update2.bmp
+share/pixmaps/TrustedQSL.png
+@dirrm share/TrustedQSL/help/tqslapp
+@dirrm share/TrustedQSL/help
+@dirrm share/TrustedQSL
+@dirrmtry share/pixmaps
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Diane Bruce freebsd_committer 2013-12-13 04:11:42 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!